Subject: [PATCH v4 0/2] staging: qlge: code refinement around a for loop

From: Binyi Han <[email-masked]>
Date: Wed, 13 Jul 2022 00:57:58 -0700

*	Patch 1: 
		Fix indentation according to checkpatch.
		Format the long for loop thanks to Joe's review.
*	Patch 2: 
		Optimize by avoiding the multiplication thanks to Joe's
		review.
		I agree with Joe and think it's the same logic, and it
		compiles without error.
		But I don't have the real hardware, so can't prove that
		code is still doing the same thing. So I understand if you
		don't apply this patch without the "proof".

v4:
	- Separate the code style change and "optimization" into 2 patches
v3:
	Thanks to Joe's review.
	- Align page_entries in the for loop to open parenthesis.
	- Optimize by avoiding the multiplication.
v2:
	- Change the long for loop into 3 lines

Binyi Han (2):
  staging: qlge: Fix indentation issue under long for loop
  staging: qlge: Avoid multiplication while keep the same logic

 drivers/staging/qlge/qlge_main.c | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

-- 
2.25.1